<?php
/******************************************************************************
 *
 * Subrion - open source content management system
 * Copyright (C) 2015 Intelliants, LLC <http://www.intelliants.com>
 *
 * This file is part of Subrion.
 *
 * Subrion is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Subrion is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Subrion. If not, see <http://www.gnu.org/licenses/>.
 *
 *
 * @link http://www.subrion.org/
 *
 ******************************************************************************/

$transaction = $temp_transaction;

switch ($action)
{
	case 'completed':
		if ($params = $_POST)
		{
			$order = array(
				'payment_gross' => $params['amount_gross'],
				'payment_date' => date(iaDb::DATETIME_SHORT_FORMAT),
				'payment_status' => $params['payment_status'],
				'first_name' => $params['name_first'],
				'last_name' => $params['name_last'],
				'payer_email' => $params['email_address'],
				'txn_id' => $params['pf_payment_id'],
				'mc_currency' => 'R'
			);

			$transaction['reference_id'] = $params['pf_payment_id'];

			if ($iaCore->factoryPlugin('payfast', 'common')->validateTransaction($params, $transaction))
			{
				switch ($params['payment_status'])
				{
					case 'COMPLETE':
						$transaction['email'] = $params['email_address'];
						$transaction['fullname'] = $params['name_first'] . ' ' . $params['name_last'];

						$transaction['status'] = iaTransaction::PASSED;
						break;
					case 'FAILED':
						$transaction['status'] = iaTransaction::FAILED;
				}
			}
		}

		break;

	case 'canceled':
		$error = true;
		$messages[] = iaLanguage::get('oops');

		$transaction['status'] = iaTransaction::FAILED;
}